VkPhysicalDeviceDescriptorIndexingPropertiesEXT Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
uint32_t | maxUpdateAfterBindDescriptorsInAllPools
VkBool32 | shaderUniformBufferArrayNonUniformIndexingNative
VkBool32 | shaderSampledImageArrayNonUniformIndexingNative
VkBool32 | shaderStorageBufferArrayNonUniformIndexingNative
VkBool32 | shaderStorageImageArrayNonUniformIndexingNative
VkBool32 | shaderInputAttachmentArrayNonUniformIndexingNative
VkBool32 | robustBufferAccessUpdateAfterBind
VkBool32 | quadDivergentImplicitLod
uint32_t | maxPerStageDescriptorUpdateAfterBindSamplers
uint32_t | maxPerStageDescriptorUpdateAfterBindUniformBuffers
uint32_t | maxPerStageDescriptorUpdateAfterBindStorageBuffers
uint32_t | maxPerStageDescriptorUpdateAfterBindSampledImages
uint32_t | maxPerStageDescriptorUpdateAfterBindStorageImages
uint32_t | maxPerStageDescriptorUpdateAfterBindInputAttachments
uint32_t | maxPerStageUpdateAfterBindResources
uint32_t | maxDescriptorSetUpdateAfterBindSamplers
uint32_t | maxDescriptorSetUpdateAfterBindUniformBuffers
uint32_t | maxDescriptorSetUpdateAfterBindUniformBuffersDynamic
uint32_t | maxDescriptorSetUpdateAfterBindStorageBuffers
uint32_t | maxDescriptorSetUpdateAfterBindStorageBuffersDynamic
uint32_t | maxDescriptorSetUpdateAfterBindSampledImages
uint32_t | maxDescriptorSetUpdateAfterBindStorageImages
uint32_t | maxDescriptorSetUpdateAfterBindInputAttachments

## Detailed Description

Definition at line 7960 of file vulkan_core.h.

## Field Documentation

## maxDescriptorSetUpdateAfterBindInputAttachments

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxDescriptorSetUpdateAfterBindInputAttachments

Definition at line 7985 of file vulkan_core.h.

## maxDescriptorSetUpdateAfterBindSampledImages

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxDescriptorSetUpdateAfterBindSampledImages

Definition at line 7983 of file vulkan_core.h.

## maxDescriptorSetUpdateAfterBindSamplers

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxDescriptorSetUpdateAfterBindSamplers

Definition at line 7978 of file vulkan_core.h.

## maxDescriptorSetUpdateAfterBindStorageBuffers

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxDescriptorSetUpdateAfterBindStorageBuffers

Definition at line 7981 of file vulkan_core.h.

## maxDescriptorSetUpdateAfterBindStorageBuffersDynamic

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxDescriptorSetUpdateAfterBindStorageBuffersDynamic

Definition at line 7982 of file vulkan_core.h.

## maxDescriptorSetUpdateAfterBindStorageImages

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxDescriptorSetUpdateAfterBindStorageImages

Definition at line 7984 of file vulkan_core.h.

## maxDescriptorSetUpdateAfterBindUniformBuffers

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxDescriptorSetUpdateAfterBindUniformBuffers

Definition at line 7979 of file vulkan_core.h.

## maxDescriptorSetUpdateAfterBindUniformBuffersDynamic

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxDescriptorSetUpdateAfterBindUniformBuffersDynamic

Definition at line 7980 of file vulkan_core.h.

## maxPerStageDescriptorUpdateAfterBindInputAttachments

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxPerStageDescriptorUpdateAfterBindInputAttachments

Definition at line 7976 of file vulkan_core.h.

## maxPerStageDescriptorUpdateAfterBindSampledImages

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxPerStageDescriptorUpdateAfterBindSampledImages

Definition at line 7974 of file vulkan_core.h.

## maxPerStageDescriptorUpdateAfterBindSamplers

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxPerStageDescriptorUpdateAfterBindSamplers

Definition at line 7971 of file vulkan_core.h.

## maxPerStageDescriptorUpdateAfterBindStorageBuffers

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxPerStageDescriptorUpdateAfterBindStorageBuffers

Definition at line 7973 of file vulkan_core.h.

## maxPerStageDescriptorUpdateAfterBindStorageImages

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxPerStageDescriptorUpdateAfterBindStorageImages

Definition at line 7975 of file vulkan_core.h.

## maxPerStageDescriptorUpdateAfterBindUniformBuffers

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxPerStageDescriptorUpdateAfterBindUniformBuffers

Definition at line 7972 of file vulkan_core.h.

## maxPerStageUpdateAfterBindResources

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxPerStageUpdateAfterBindResources

Definition at line 7977 of file vulkan_core.h.

## maxUpdateAfterBindDescriptorsInAllPools

uint32_t VkPhysicalDeviceDescriptorIndexingPropertiesEXT::maxUpdateAfterBindDescriptorsInAllPools

Definition at line 7963 of file vulkan_core.h.

## pNext

void* VkPhysicalDeviceDescriptorIndexingPropertiesEXT::pNext

Definition at line 7962 of file vulkan_core.h.

## quadDivergentImplicitLod

VkBool32 VkPhysicalDeviceDescriptorIndexingPropertiesEXT::quadDivergentImplicitLod

Definition at line 7970 of file vulkan_core.h.

## robustBufferAccessUpdateAfterBind

VkBool32 VkPhysicalDeviceDescriptorIndexingPropertiesEXT::robustBufferAccessUpdateAfterBind

Definition at line 7969 of file vulkan_core.h.

## shaderInputAttachmentArrayNonUniformIndexingNative

VkBool32 VkPhysicalDeviceDescriptorIndexingPropertiesEXT::shaderInputAttachmentArrayNonUniformIndexingNative

Definition at line 7968 of file vulkan_core.h.

## shaderSampledImageArrayNonUniformIndexingNative

VkBool32 VkPhysicalDeviceDescriptorIndexingPropertiesEXT::shaderSampledImageArrayNonUniformIndexingNative

Definition at line 7965 of file vulkan_core.h.

## shaderStorageBufferArrayNonUniformIndexingNative

VkBool32 VkPhysicalDeviceDescriptorIndexingPropertiesEXT::shaderStorageBufferArrayNonUniformIndexingNative

Definition at line 7966 of file vulkan_core.h.

## shaderStorageImageArrayNonUniformIndexingNative

VkBool32 VkPhysicalDeviceDescriptorIndexingPropertiesEXT::shaderStorageImageArrayNonUniformIndexingNative

Definition at line 7967 of file vulkan_core.h.

## shaderUniformBufferArrayNonUniformIndexingNative

VkBool32 VkPhysicalDeviceDescriptorIndexingPropertiesEXT::shaderUniformBufferArrayNonUniformIndexingNative

Definition at line 7964 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceDescriptorIndexingPropertiesEXT::sType

Definition at line 7961 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h